Add a label to a changelog
Associate a label with a changelog entry.
Introduction
The FeatureOS add a label to a changelog API allows you to associate a label with a changelog. You can pass a label_id to associate an existing label, or use the value parameter to find or create a label by name.
POST
https://api.featureos.app/api/v3/changelogs/:id/changelog_categories
curl -X POST 'https://api.featureos.app/api/v3/changelogs/:id/changelog_categories' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| Authorization | - | Generate a unique JWT token specific to a user. |
Query Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| id | true | Integer | The ID of the changelog |
| label_id | false | Integer | The ID of an existing changelog label. If provided, this takes priority over the value parameter. You can retrieve available changelog label IDs using the List all tags API with source_type=changelog. |
| value | false | String / Integer | When label_id is not provided: pass a label name to find or create a label by name, or pass a label ID to find an existing label. |